classification
Title: test_httpservers consistently fails - OSError: [Errno 13] Permission denied (e.g. on OS X using tarball, but not svn tag r30)
Type: behavior Stage:
Components: Tests Versions: Python 3.0
process
Status: closed Resolution: duplicate
Dependencies: Superseder: test_httpservers on Debian Testing
View: 5435
Assigned To: Nosy List: Erkan Yilmaz, giampaolo.rodola, mwdiers
Priority: normal Keywords:

Created on 2008-12-04 17:17 by mwdiers, last changed 2012-03-27 01:20 by r.david.murray. This issue is now closed.

Files
File name Uploaded Description Edit
Pardus - output - Python 3.1a0 py3k 69210 - Python 2.zip Erkan Yilmaz, 2009-02-02 22:42 output - Pardus - Python 3.1a0 py3k 69210 + Python 2.7a0 trunk:69209
Messages (4)
msg76899 - (view) Author: Martin Diers (mwdiers) Date: 2008-12-04 17:17
Test was run with sudo. All other tests passed.

Here is the verbose output of test_httpservers:
Re-running test 'test_httpservers' in verbose mode
test_command (test.test_httpservers.BaseHTTPServerTestCase) ... ok
test_handler (test.test_httpservers.BaseHTTPServerTestCase) ... ok
test_head_keep_alive (test.test_httpservers.BaseHTTPServerTestCase) ... ok
test_header_close (test.test_httpservers.BaseHTTPServerTestCase) ... ok
test_internal_key_error (test.test_httpservers.BaseHTTPServerTestCase)
... ok
test_request_line_trimming
(test.test_httpservers.BaseHTTPServerTestCase) ... ok
test_return_custom_status (test.test_httpservers.BaseHTTPServerTestCase)
... ok
test_return_header_keep_alive
(test.test_httpservers.BaseHTTPServerTestCase) ... ok
test_send_blank (test.test_httpservers.BaseHTTPServerTestCase) ... ok
test_version_bogus (test.test_httpservers.BaseHTTPServerTestCase) ... ok
test_version_digits (test.test_httpservers.BaseHTTPServerTestCase) ... ok
test_version_invalid (test.test_httpservers.BaseHTTPServerTestCase) ... ok
test_version_none (test.test_httpservers.BaseHTTPServerTestCase) ... ok
test_version_none_get (test.test_httpservers.BaseHTTPServerTestCase) ... ok
test_get (test.test_httpservers.SimpleHTTPServerTestCase) ... FAIL
test_head (test.test_httpservers.SimpleHTTPServerTestCase) ... ok
test_invalid_requests (test.test_httpservers.SimpleHTTPServerTestCase)
... ok
test_authorization (test.test_httpservers.CGIHTTPServerTestCase) ...
Traceback (most recent call last):
  File "/Users/mwdiers/src/Python-3.0/Lib/http/server.py", line 1031, in
run_cgi
    os.execve(scriptfile, args, os.environ)
OSError: [Errno 13] Permission denied
ERROR
test_headers_and_content (test.test_httpservers.CGIHTTPServerTestCase)
... Traceback (most recent call last):
  File "/Users/mwdiers/src/Python-3.0/Lib/http/server.py", line 1031, in
run_cgi
    os.execve(scriptfile, args, os.environ)
OSError: [Errno 13] Permission denied
ERROR
test_invaliduri (test.test_httpservers.CGIHTTPServerTestCase) ... ok
test_post (test.test_httpservers.CGIHTTPServerTestCase) ... Traceback
(most recent call last):
  File "/Users/mwdiers/src/Python-3.0/Lib/http/server.py", line 1031, in
run_cgi
    os.execve(scriptfile, args, os.environ)
OSError: [Errno 13] Permission denied
FAIL

======================================================================
ERROR: test_authorization (test.test_httpservers.CGIHTTPServerTestCase)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/Users/mwdiers/src/Python-3.0/Lib/test/test_httpservers.py",
line 342, in test_authorization
    (res.read(), res.getheader('Content-type'), res.status))
  File "/Users/mwdiers/src/Python-3.0/Lib/http/client.py", line 591, in
getheader
    return ', '.join(self.msg.get_all(name, default))
TypeError

======================================================================
ERROR: test_headers_and_content
(test.test_httpservers.CGIHTTPServerTestCase)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/Users/mwdiers/src/Python-3.0/Lib/test/test_httpservers.py",
line 322, in test_headers_and_content
    (res.read(), res.getheader('Content-type'), res.status))
  File "/Users/mwdiers/src/Python-3.0/Lib/http/client.py", line 591, in
getheader
    return ', '.join(self.msg.get_all(name, default))
TypeError

======================================================================
FAIL: test_get (test.test_httpservers.SimpleHTTPServerTestCase)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/Users/mwdiers/src/Python-3.0/Lib/test/test_httpservers.py",
line 244, in test_get
    self.check_status_and_reason(response, 404)
  File "/Users/mwdiers/src/Python-3.0/Lib/test/test_httpservers.py",
line 220, in check_status_and_reason
    self.assertEquals(response.status, status)
AssertionError: 200 != 404

======================================================================
FAIL: test_post (test.test_httpservers.CGIHTTPServerTestCase)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/Users/mwdiers/src/Python-3.0/Lib/test/test_httpservers.py",
line 330, in test_post
    self.assertEquals(res.read(), b'1, python, 123456\n')
AssertionError: b'' != b'1, python, 123456\n'

----------------------------------------------------------------------
Ran 21 tests in 10.358s

FAILED (failures=2, errors=2)
test test_httpservers failed -- errors occurred; run in verbose mode for
details
make: [test] Error 1 (ignored)
msg77085 - (view) Author: Martin Diers (mwdiers) Date: 2008-12-05 23:56
A couple more notes:

I am building using a fink installation: --prefix=/sw, in order to gain
readline support. The only modules that are not installed are
ossaudiodev and spwd.

Next, I just did a build from a checkout of the r30 tag on svn. Before,
I built from the release tarball. The build from the r30 checkout passed
all tests. The build from the python-3.0 tarball fails on test_httpservers.

Evidently there is a difference between the r30 tag, and the tarball.
msg77086 - (view) Author: Martin Diers (mwdiers) Date: 2008-12-05 23:56
A couple more notes:

I am building using a fink installation: --prefix=/sw, in order to gain
readline support. The only modules that are not installed are
ossaudiodev and spwd.

Next, I just did a build from a checkout of the r30 tag on svn. Before,
I built from the release tarball. The build from the r30 checkout passed
all tests. The build from the python-3.0 tarball fails on test_httpservers.

Evidently there is a difference between the r30 tag, and the tarball.
msg81013 - (view) Author: Erkan Yilmaz (Erkan Yilmaz) Date: 2009-02-02 22:42
below you find following sections:
-summary
-details
-system info



summary:
**********
The above message also appeared on 
- non-OS X: Distro Pardus 2008.2 Canis aureus
- Python 3.1a0 py3k:69210 (see details:steps 1-3)
(in step4 you find info about test_httpservers failed in: Python 2.7a0
trunk:69209)

To find out if there is an error on my side - on request - I can provide
more info.



details (4 steps):
************
1. I was trying to build with the py3k svn version (Revision 69210) and
got following error during the "make test":

302 tests OK.                                                          
                     
2 tests failed:                                                        
                     
    test_httpservers test_urllib                                       
                     
21 tests skipped:                                                      
                     
    test_codecmaps_cn test_codecmaps_hk test_codecmaps_jp              
                     
    test_codecmaps_kr test_codecmaps_tw test_curses test_kqueue        
                     
    test_nis test_normalization test_ossaudiodev test_pep277           
                     
    test_socketserver test_startfile test_timeout test_ttk_guionly     
                     
    test_urllib2net test_urllibnet test_winreg test_winsound           
                     
    test_xmlrpc_net test_zipfile64                                     
                     
Those skips are all expected on linux2.                                
                     
[913083 refs]


2. verbose output as non-admin first brought an exception:

erkan@e-pardus2 python-svn $ ./python -m test.regrtest -v
test_httpservers test_urllib       
./python: error while loading shared libraries: libpython3.1.so.1.0:
cannot open shared object file: No such file or directory              
                                             
erkan@e-pardus2 python-svn $ export
LD_LIBRARY_PATH=/home/erkan/Desktop/python3_svn_2009_feb_2/python-svn  
                                                                       
      
erkan@e-pardus2 python-svn $ ./python -m test.regrtest -v
test_httpservers test_urllibCould not find
'/home/erkan/Desktop/python3_svn_2009_feb_2/python-svn/Lib/test' in
sys.path to remove it                                                  
                               
test_httpservers                                                       
                     
test_command (test.test_httpservers.BaseHTTPServerTestCase) ... ok     
                     
test_handler (test.test_httpservers.BaseHTTPServerTestCase) ... ok     
                     
test_head_keep_alive (test.test_httpservers.BaseHTTPServerTestCase) ...
ok                   
test_header_close (test.test_httpservers.BaseHTTPServerTestCase) ... ok
                     
test_internal_key_error (test.test_httpservers.BaseHTTPServerTestCase)
... ok                
test_request_line_trimming
(test.test_httpservers.BaseHTTPServerTestCase) ... ok             
test_return_custom_status (test.test_httpservers.BaseHTTPServerTestCase)
... ok              
test_return_header_keep_alive
(test.test_httpservers.BaseHTTPServerTestCase) ... ok          
test_send_blank (test.test_httpservers.BaseHTTPServerTestCase) ... ok  
                     
test_version_bogus (test.test_httpservers.BaseHTTPServerTestCase) ... ok
                    
test_version_digits (test.test_httpservers.BaseHTTPServerTestCase) ...
ok                    
test_version_invalid (test.test_httpservers.BaseHTTPServerTestCase) ...
ok                   
test_version_none (test.test_httpservers.BaseHTTPServerTestCase) ... ok
                     
test_version_none_get (test.test_httpservers.BaseHTTPServerTestCase) ...
ok                  
test_get (test.test_httpservers.SimpleHTTPServerTestCase) ... Exception
in thread Thread-15: 
Traceback (most recent call last):                                     
                     
  File
"/home/erkan/Desktop/python3_svn_2009_feb_2/python-svn/Lib/threading.py", line
507, in _bootstrap_inner                                               
                            
    self.run()                                                         
                     
  File
"/home/erkan/Desktop/python3_svn_2009_feb_2/python-svn/Lib/test/test_httpservers.py",
line 43, in run                                                        
                     
    self.server.serve_forever()                                        
                     
  File
"/home/erkan/Desktop/python3_svn_2009_feb_2/python-svn/Lib/socketserver.py",
line 224, in serve_forever                                             
                              
    r, w, e = select.select([self], [], [], poll_interval)             
                     
select.error: (4, 'Interrupted system call')                           
                     


3. and as admin following output:

e-pardus2 python-svn # ./python -m test.regrtest -v test_httpservers
test_urllib       
./python: error while loading shared libraries: libpython3.1.so.1.0:
cannot open shared object file: No such file or directory              
                                             
e-pardus2 python-svn # export
LD_LIBRARY_PATH=/home/erkan/Desktop/python3_svn_2009_feb_2/python-svn  
                                                                       
            
e-pardus2 python-svn # ./python -m test.regrtest -v test_httpservers
test_urllibCould not find
'/home/erkan/Desktop/python3_svn_2009_feb_2/python-svn/Lib/test' in
sys.path to remove it                                                  
                               
test_httpservers                                                       
                     
test_command (test.test_httpservers.BaseHTTPServerTestCase) ... ok     
                     
test_handler (test.test_httpservers.BaseHTTPServerTestCase) ... ok     
                     
test_head_keep_alive (test.test_httpservers.BaseHTTPServerTestCase) ...
ok                   
test_header_close (test.test_httpservers.BaseHTTPServerTestCase) ... ok
                     
test_internal_key_error (test.test_httpservers.BaseHTTPServerTestCase)
... ok                
test_request_line_trimming
(test.test_httpservers.BaseHTTPServerTestCase) ... ok             
test_return_custom_status (test.test_httpservers.BaseHTTPServerTestCase)
... ok              
test_return_header_keep_alive
(test.test_httpservers.BaseHTTPServerTestCase) ... ok          
test_send_blank (test.test_httpservers.BaseHTTPServerTestCase) ... ok  
                     
test_version_bogus (test.test_httpservers.BaseHTTPServerTestCase) ... ok
                    
test_version_digits (test.test_httpservers.BaseHTTPServerTestCase) ...
ok                    
test_version_invalid (test.test_httpservers.BaseHTTPServerTestCase) ...
ok                   
test_version_none (test.test_httpservers.BaseHTTPServerTestCase) ... ok
                     
test_version_none_get (test.test_httpservers.BaseHTTPServerTestCase) ...
ok                  
test_get (test.test_httpservers.SimpleHTTPServerTestCase) ... FAIL     
                     
test_head (test.test_httpservers.SimpleHTTPServerTestCase) ... ok      
                     
test_invalid_requests (test.test_httpservers.SimpleHTTPServerTestCase)
... ok                
test_authorization (test.test_httpservers.CGIHTTPServerTestCase) ...
Traceback (most recent call last):                                     
                                             
  File
"/home/erkan/Desktop/python3_svn_2009_feb_2/python-svn/Lib/http/server.py",
line 1031, in run_cgi                                                  
                               
OSError: [Errno 13] Permission denied                                  
                     
ERROR                                                                  
                     
test_headers_and_content (test.test_httpservers.CGIHTTPServerTestCase)
... Traceback (most recent call last):                                 
                                           
  File
"/home/erkan/Desktop/python3_svn_2009_feb_2/python-svn/Lib/http/server.py",
line 1031, in run_cgi                                                  
                               
OSError: [Errno 13] Permission denied                                  
                     
ERROR                                                                  
                     
test_invaliduri (test.test_httpservers.CGIHTTPServerTestCase) ... ok   
                     
test_post (test.test_httpservers.CGIHTTPServerTestCase) ... Traceback
(most recent call last):                                               
                                            
  File
"/home/erkan/Desktop/python3_svn_2009_feb_2/python-svn/Lib/http/server.py",
line 1031, in run_cgi                                                  
                               
OSError: [Errno 13] Permission denied                                  
                     
FAIL                                                                   
                     

======================================================================
ERROR: test_authorization (test.test_httpservers.CGIHTTPServerTestCase)
---------------------------------------------------------------------- 
Traceback (most recent call last):                                     
  File
"/home/erkan/Desktop/python3_svn_2009_feb_2/python-svn/Lib/test/test_httpservers.py",
line 342, in test_authorization                                        
                     
    (res.read(), res.getheader('Content-type'), res.status))           
                     
  File
"/home/erkan/Desktop/python3_svn_2009_feb_2/python-svn/Lib/http/client.py",
line 591, in getheader                                                 
                               
    return ', '.join(self.msg.get_all(name, default))                  
                     
TypeError                                                              
                     

======================================================================
ERROR: test_headers_and_content
(test.test_httpservers.CGIHTTPServerTestCase)
---------------------------------------------------------------------- 
     
Traceback (most recent call last):                                     
     
  File
"/home/erkan/Desktop/python3_svn_2009_feb_2/python-svn/Lib/test/test_httpservers.py",
line 322, in test_headers_and_content                                  
                     
    (res.read(), res.getheader('Content-type'), res.status))           
                     
  File
"/home/erkan/Desktop/python3_svn_2009_feb_2/python-svn/Lib/http/client.py",
line 591, in getheader                                                 
                               
    return ', '.join(self.msg.get_all(name, default))                  
                     
TypeError                                                              
                     

======================================================================
FAIL: test_get (test.test_httpservers.SimpleHTTPServerTestCase)       
----------------------------------------------------------------------
Traceback (most recent call last):                                    
  File
"/home/erkan/Desktop/python3_svn_2009_feb_2/python-svn/Lib/test/test_httpservers.py",
line 244, in test_get                                                  
                     
    self.check_status_and_reason(response, 404)                        
                     
  File
"/home/erkan/Desktop/python3_svn_2009_feb_2/python-svn/Lib/test/test_httpservers.py",
line 220, in check_status_and_reason                                   
                     
    self.assertEquals(response.status, status)                         
                     
AssertionError: 200 != 404                                             
                     

======================================================================
FAIL: test_post (test.test_httpservers.CGIHTTPServerTestCase)         
----------------------------------------------------------------------
Traceback (most recent call last):                                    
  File
"/home/erkan/Desktop/python3_svn_2009_feb_2/python-svn/Lib/test/test_httpservers.py",
line 330, in test_post                                                 
                     
    self.assertEquals(res.read(), b'1, python, 123456\n')              
                     
AssertionError: b'' != b'1, python, 123456\n'                          
                     

----------------------------------------------------------------------
Ran 21 tests in 10.463s                                               

FAILED (failures=2, errors=2)
test test_httpservers failed -- errors occurred; run in verbose mode for
details
test_urllib                                                            
        
test_close (test.test_urllib.urlopen_FileTests) ... ok                 
        
test_fileno (test.test_urllib.urlopen_FileTests) ... ok                
        
test_getcode (test.test_urllib.urlopen_FileTests) ... ok               
        
test_geturl (test.test_urllib.urlopen_FileTests) ... ok                
        
test_info (test.test_urllib.urlopen_FileTests) ... ok                  
        
test_interface (test.test_urllib.urlopen_FileTests) ... ok             
        
test_iter (test.test_urllib.urlopen_FileTests) ... ok                  
        
test_read (test.test_urllib.urlopen_FileTests) ... ok                  
        
test_readline (test.test_urllib.urlopen_FileTests) ... ok              
        
test_readlines (test.test_urllib.urlopen_FileTests) ... ok             
        
test_empty_socket (test.test_urllib.urlopen_HttpTests) ... ERROR       
        
test_read (test.test_urllib.urlopen_HttpTests) ... ERROR               
        
test_read_bogus (test.test_urllib.urlopen_HttpTests) ... ERROR         
        
test_basic (test.test_urllib.urlretrieve_FileTests) ... ok             
        
test_copy (test.test_urllib.urlretrieve_FileTests) ... ok              
        
test_reporthook (test.test_urllib.urlretrieve_FileTests) ... ok        
        
test_reporthook_0_bytes (test.test_urllib.urlretrieve_FileTests) ... ok
        
test_reporthook_5_bytes (test.test_urllib.urlretrieve_FileTests) ... ok
        
test_reporthook_8193_bytes (test.test_urllib.urlretrieve_FileTests) ...
ok      
test_getproxies_environment_keep_no_proxies
(test.test_urllib.ProxyTests) ... ok
test_default_quoting (test.test_urllib.QuotingTests) ... ok            
        
test_default_safe (test.test_urllib.QuotingTests) ... ok               
        
test_never_quote (test.test_urllib.QuotingTests) ... ok                
        
test_quote_bytes (test.test_urllib.QuotingTests) ... ok                
        
test_quote_with_unicode (test.test_urllib.QuotingTests) ... ok         
        
test_quoting_plus (test.test_urllib.QuotingTests) ... ok               
        
test_quoting_space (test.test_urllib.QuotingTests) ... ok              
        
test_safe (test.test_urllib.QuotingTests) ... ok                       
        
test_unquote_to_bytes (test.test_urllib.UnquotingTests) ... ok         
        
test_unquote_with_unicode (test.test_urllib.UnquotingTests) ... ok     
        
test_unquoting (test.test_urllib.UnquotingTests) ... ok                
        
test_unquoting_badpercent (test.test_urllib.UnquotingTests) ... ok     
        
test_unquoting_mixed_case (test.test_urllib.UnquotingTests) ... ok     
        
test_unquoting_parts (test.test_urllib.UnquotingTests) ... ok          
        
test_unquoting_plus (test.test_urllib.UnquotingTests) ... ok           
        
test_doseq (test.test_urllib.urlencode_Tests) ... ok                   
        
test_quoting (test.test_urllib.urlencode_Tests) ... ok                 
        
test_using_mapping (test.test_urllib.urlencode_Tests) ... ok           
        
test_using_sequence (test.test_urllib.urlencode_Tests) ... ok          
        
test_basic (test.test_urllib.Pathname_Tests) ... ok                    
        
test_quoting (test.test_urllib.Pathname_Tests) ... ok                  
        

======================================================================
ERROR: test_empty_socket (test.test_urllib.urlopen_HttpTests)         
----------------------------------------------------------------------
Traceback (most recent call last):                                    
  File
"/home/erkan/Desktop/python3_svn_2009_feb_2/python-svn/Lib/test/test_urllib.py",
line 194, in test_empty_socket                                         
                          
    self.assertRaises(IOError, urlopen, "http://something")            
                     
  File
"/home/erkan/Desktop/python3_svn_2009_feb_2/python-svn/Lib/unittest.py",
line 344, in failUnlessRaises                                          
                                  
    callableObj(*args, **kwargs)                                       
                     
  File
"/home/erkan/Desktop/python3_svn_2009_feb_2/python-svn/Lib/test/test_urllib.py",
line 33, in urlopen                                                    
                          
    return opener.open(url)                                            
                     
  File
"/home/erkan/Desktop/python3_svn_2009_feb_2/python-svn/Lib/urllib/request.py",
line 1444, in open                                                     
                            
    return getattr(self, name)(url)                                    
                     
  File
"/home/erkan/Desktop/python3_svn_2009_feb_2/python-svn/Lib/urllib/request.py",
line 1618, in open_http                                                
                            
    return self._open_generic_http(http.client.HTTPConnection, url,
data)                    
  File
"/home/erkan/Desktop/python3_svn_2009_feb_2/python-svn/Lib/urllib/request.py",
line 1601, in _open_generic_http                                       
                            
    response = http_conn.getresponse()                                 
                     
  File
"/home/erkan/Desktop/python3_svn_2009_feb_2/python-svn/Lib/http/client.py",
line 937, in getresponse                                               
                               
    method=self._method)                                               
                     
  File
"/home/erkan/Desktop/python3_svn_2009_feb_2/python-svn/Lib/http/client.py",
line 275, in __init__                                                  
                               
    self.fp = sock.makefile("rb")                                      
                     
TypeError: makefile() takes exactly 3 positional arguments (2 given)   
                     

======================================================================
ERROR: test_read (test.test_urllib.urlopen_HttpTests)                 
----------------------------------------------------------------------
Traceback (most recent call last):                                    
  File
"/home/erkan/Desktop/python3_svn_2009_feb_2/python-svn/Lib/test/test_urllib.py",
line 168, in test_read                                                 
                          
    fp = urlopen("http://python.org/")                                 
                     
  File
"/home/erkan/Desktop/python3_svn_2009_feb_2/python-svn/Lib/test/test_urllib.py",
line 33, in urlopen                                                    
                          
    return opener.open(url)                                            
                     
  File
"/home/erkan/Desktop/python3_svn_2009_feb_2/python-svn/Lib/urllib/request.py",
line 1444, in open                                                     
                            
    return getattr(self, name)(url)                                    
                     
  File
"/home/erkan/Desktop/python3_svn_2009_feb_2/python-svn/Lib/urllib/request.py",
line 1618, in open_http                                                
                            
    return self._open_generic_http(http.client.HTTPConnection, url,
data)                    
  File
"/home/erkan/Desktop/python3_svn_2009_feb_2/python-svn/Lib/urllib/request.py",
line 1601, in _open_generic_http                                       
                            
    response = http_conn.getresponse()                                 
                     
  File
"/home/erkan/Desktop/python3_svn_2009_feb_2/python-svn/Lib/http/client.py",
line 937, in getresponse                                               
                               
    method=self._method)                                               
                     
  File
"/home/erkan/Desktop/python3_svn_2009_feb_2/python-svn/Lib/http/client.py",
line 275, in __init__                                                  
                               
    self.fp = sock.makefile("rb")                                      
                     
TypeError: makefile() takes exactly 3 positional arguments (2 given)   
                     

======================================================================
ERROR: test_read_bogus (test.test_urllib.urlopen_HttpTests)           
----------------------------------------------------------------------
Traceback (most recent call last):                                    
  File
"/home/erkan/Desktop/python3_svn_2009_feb_2/python-svn/Lib/test/test_urllib.py",
line 185, in test_read_bogus                                           
                          
    self.assertRaises(IOError, urlopen, "http://python.org/")          
                     
  File
"/home/erkan/Desktop/python3_svn_2009_feb_2/python-svn/Lib/unittest.py",
line 344, in failUnlessRaises                                          
                                  
    callableObj(*args, **kwargs)                                       
                     
  File
"/home/erkan/Desktop/python3_svn_2009_feb_2/python-svn/Lib/test/test_urllib.py",
line 33, in urlopen                                                    
                          
    return opener.open(url)                                            
                     
  File
"/home/erkan/Desktop/python3_svn_2009_feb_2/python-svn/Lib/urllib/request.py",
line 1444, in open
    return getattr(self, name)(url)
  File
"/home/erkan/Desktop/python3_svn_2009_feb_2/python-svn/Lib/urllib/request.py",
line 1618, in open_http
    return self._open_generic_http(http.client.HTTPConnection, url, data)
  File
"/home/erkan/Desktop/python3_svn_2009_feb_2/python-svn/Lib/urllib/request.py",
line 1601, in _open_generic_http
    response = http_conn.getresponse()
  File
"/home/erkan/Desktop/python3_svn_2009_feb_2/python-svn/Lib/http/client.py",
line 937,in getresponse
    method=self._method)
  File
"/home/erkan/Desktop/python3_svn_2009_feb_2/python-svn/Lib/http/client.py",
line 275,in __init__
    self.fp = sock.makefile("rb")
TypeError: makefile() takes exactly 3 positional arguments (2 given)

----------------------------------------------------------------------
Ran 41 tests in 1.384s

FAILED (errors=3)
test test_urllib failed -- errors occurred; run in verbose mode for details
2 tests failed:
    test_httpservers test_urllib
[85015 refs]



4. the test_httpservers also failed (different output) in Python 2.7a0
trunk:69209
see attached file for output




system info:
*************
other python versions available on the system are:
main one:
- Python 2.5.4 (r254:67916, Jan 19 2009, 11:26:32), [GCC 4.3.2] on linux2

the other (as well as Python 3.1a0 + Python 2.7a0) as altinstall:
- python2.4.2


System:    Host e-pardus2 running  Linux 2.6.25.20-114 1800+ Distro
Pardus 2008.2 Canis aureus
CPU:       Single Core AMD Athlon XP 1800+ cache 256 KB flags (sse)
bmips 3066.27 clocked at 1531.968 MHz
Graphics:  Card nVidia NV11 [GeForce2 MX/MX 400] X.Org 1.4.2 Res
1024x768@50.0hz
           GLX Renderer GeForce2 MX/AGP/SSE/3DNOW! | GLX Version 1.5.8
NVIDIA 96.43.07
Audio:     Card VIA VT8233/A/8235/8237 AC97 Audio Controller driver VIA
82xx Audio at port c000
           Sound: Advanced Linux Sound Architecture Version 1.0.18a
Network:   Card-1 VIA VT6102 [Rhine-II] driver via-rhine at port bc00
           Card-2 D-Link System RTL8139 Ethernet driver 8139too v:
0.9.28 at port d400
Disks:     HDD Total Size: 250.1GB (92.3% used) 1: /dev/sda SAMSUNG
SP2504C 250.1GB
Partition: ID:/ size: 16G used: 11G (67%)
Info:      Processes 132 Uptime 4:49 Memory 927.2/1265.3MB Client Shell
inxi 0.7.1
History
Date User Action Args
2012-03-27 01:20:00r.david.murraysetstatus: open -> closed
resolution: duplicate
superseder: test_httpservers on Debian Testing
2009-02-03 07:10:29Erkan Yilmazsettitle: test_httpservers consistently fails on OS X using tarball, but not svn tag r30 -> test_httpservers consistently fails - OSError: [Errno 13] Permission denied (e.g. on OS X using tarball, but not svn tag r30)
2009-02-02 22:42:58Erkan Yilmazsetfiles: + Pardus - output - Python 3.1a0 py3k 69210 - Python 2.zip
nosy: + Erkan Yilmaz
messages: + msg81013
2008-12-06 23:49:18mwdierssettitle: test_httpservers consistently fails on OS X -> test_httpservers consistently fails on OS X using tarball, but not svn tag r30
2008-12-06 21:37:35giampaolo.rodolasetnosy: + giampaolo.rodola
2008-12-05 23:56:16mwdierssetmessages: + msg77086
2008-12-05 23:56:12mwdierssetmessages: + msg77085
2008-12-04 17:17:36mwdierscreate